summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-11-11 16:07:16 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-11-11 16:07:46 +0100
commit61c433dc07b3fa6b1921dcb41b927dbee0d9bc7b (patch)
tree2f4d9b6810f4cce1a9cfa8f0a12451f9e7594651 /kde-frameworks/kfilemetadata
parentdev-python/pypy3: Inline deps and include dev-python/pycparser dep (diff)
downloadgentoo-61c433dc07b3fa6b1921dcb41b927dbee0d9bc7b.tar.gz
gentoo-61c433dc07b3fa6b1921dcb41b927dbee0d9bc7b.tar.bz2
gentoo-61c433dc07b3fa6b1921dcb41b927dbee0d9bc7b.zip
kde-frameworks: Add KDE Frameworks 5.40.0
Package-Manager: Portage-2.3.13, Repoman-2.3.4
Diffstat (limited to 'kde-frameworks/kfilemetadata')
-rw-r--r--kde-frameworks/kfilemetadata/Manifest1
-rw-r--r--kde-frameworks/kfilemetadata/kfilemetadata-5.40.0.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/kde-frameworks/kfilemetadata/Manifest b/kde-frameworks/kfilemetadata/Manifest
index c063027a8e9..bf39f9ad601 100644
--- a/kde-frameworks/kfilemetadata/Manifest
+++ b/kde-frameworks/kfilemetadata/Manifest
@@ -1,2 +1,3 @@
DIST kfilemetadata-5.37.0.tar.xz 218252 SHA256 17e12d5e8d033e638ec727639ed3ebb0af3cfc71fd632167304c99d8aea9ab9e SHA512 78143c82b858f53e63e35e11e144ccb474574885bd772ff27131c0568d5033618f8ff75844b02e3e3acbffd5d8901300f26f5b4e9d5556f2400f3666183b2899 WHIRLPOOL 8ec5c54cac68c2309aa998c5f8a1bcc027c374dd63c6877074c00c339d9ed14019635dac06c0972285dae9f89af5350ca460b36bf487525be139e997a6ad4927
DIST kfilemetadata-5.39.0.tar.xz 219784 SHA256 0feadb5850557be4d372dcf792c83176276616fc839965c23ed87b7525bc9dd5 SHA512 df3e17fd19e64af2e413ff0e0405654e52e245185762a1d7bed8dec63b2a567e23c1f4340d946de8a076264d62fddae8184d70dfb001147e52e003bb4a416391 WHIRLPOOL d89fb1b169c6a119591d9f089cc9ca8d530385ac3820cb1f7a82662540a796483b378be8ad3f5df984503cec40bf4b96bc617237d80b638ce24275e0df7efc5e
+DIST kfilemetadata-5.40.0.tar.xz 219196 SHA256 6b773fcda6977cf9c9c6e721343c90c66806691265fb1ada3498783158f33bfa SHA512 b3f632af0847dd3bed8bf0214e3786fe72ffbdc90454d7a2117e8b30023c43b594a27c5811a6e77d1e46a68261e950a5dc016b9ae6f80f3db539c29eaa53297d WHIRLPOOL 81ed25c598fc30478b60253cd9c43fb208ccbb52bc4b1323f850b11811c20a860bdd22a83c046639aad60f0bc7fd692d8f59f7a4c8f0b9db68c042f3b3e635c9
diff --git a/kde-frameworks/kfilemetadata/kfilemetadata-5.40.0.ebuild b/kde-frameworks/kfilemetadata/kfilemetadata-5.40.0.ebuild
new file mode 100644
index 00000000000..b2924d5f880
--- /dev/null
+++ b/kde-frameworks/kfilemetadata/kfilemetadata-5.40.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+inherit eutils kde5 python-any-r1
+
+DESCRIPTION="Library for extracting file metadata"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="epub exif ffmpeg libav office pdf taglib"
+
+RDEPEND="
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtxml)
+ epub? ( app-text/ebook-tools )
+ exif? ( media-gfx/exiv2:= )
+ ffmpeg? (
+ libav? ( media-video/libav:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ office? ( $(add_frameworks_dep karchive) )
+ pdf? ( app-text/poppler[qt5] )
+ taglib? ( media-libs/taglib )
+ !taglib? ( $(add_qt_dep qtmultimedia) )
+"
+DEPEND="${RDEPEND}
+ kernel_linux? ( sys-apps/attr )
+ test? ( ${PYTHON_DEPS} )
+"
+
+REQUIRED_USE="test? ( taglib )"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+ kde5_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package epub EPub)
+ $(cmake-utils_use_find_package exif Exiv2)
+ $(cmake-utils_use_find_package ffmpeg FFmpeg)
+ $(cmake-utils_use_find_package office KF5Archive)
+ $(cmake-utils_use_find_package pdf Poppler)
+ $(cmake-utils_use_find_package taglib Taglib)
+ $(cmake-utils_use_find_package !taglib Qt5Multimedia)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version app-text/catdoc || ! has_version dev-libs/libxls; then
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ optfeature "indexing of Microsoft Word or Powerpoint files" app-text/catdoc
+ optfeature "indexing of Microsoft Excel files" dev-libs/libxls
+ fi
+}